> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# [Deprecated, removed 2026-08-01] Get a public offer

> Get a single public offer



## OpenAPI

````yaml get /public/offers/{id}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /public/offers/{id}:
    parameters: []
    get:
      tags:
        - Offer
      summary: '[Deprecated, removed 2026-08-01] Get a public offer'
      description: Get a single public offer
      operationId: api_publicoffers_id_get
      parameters:
        - name: id
          in: path
          description: Offer identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      responses:
        '200':
          description: Offer resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Offer.PublicOffer-OfferPublicRead'
            text/html:
              schema:
                $ref: '#/components/schemas/Offer.PublicOffer-OfferPublicRead'
        '404':
          description: Resource not found
      deprecated: true
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /public/offers/{id} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Offer.PublicOffer-OfferPublicRead:
      type: object
      description: ''
      deprecated: false
      properties:
        name:
          type: string
        contactPerson:
          anyOf:
            - $ref: '#/components/schemas/ContactPerson-OfferPublicRead'
            - type: 'null'
        description:
          type:
            - string
            - 'null'
        sections:
          type: array
          items:
            type: string
        offerLineItems:
          type: array
          items:
            type: string
        signed:
          type: boolean
        canSign:
          type: boolean
    ContactPerson-OfferPublicRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        avatar:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        linkedin:
          type:
            - string
            - 'null'
        position:
          type:
            - string
            - 'null'
        website:
          type:
            - string
            - 'null'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````